#!/usr/local/bin/perl
#                          InuBBS version 0.5
#                               inubbs.cgi
#                      Copyright (C) 2002-2009 Dai Sato
#                            satodai@w3m.jp

$LIB_DIR = '/Full/Path/of/YOUR/Perl/Library/Dir';
require "$LIB_DIR/inubbs.pl";
require "$LIB_DIR/cgi-lib.pl";
require "$LIB_DIR/jcode.pl";

### Variables

# Top directory of bulletin board system
$TOPDIR  = '/Top/Directory/of/YOUR/BBS';

# Title of the BBS
$TITLE = 'Title of YOUR BBS';

# Dogtag of the BBS
#    used in Message-ID.
$DOGTAG = 'YOUR_BBS';

# Web homepage of BBS maintainer
$HOMEPAGE = '/YOUR_URL.html';

# Mail address of BBS maintainer
$MAILADD = 'you@YOUR.domain';

# Maintainer of BBS
$MAINTAINER = "ηǼĤδԡ<a name=\"maintainer\" href=\"$HOMEPAGE\">YOUR Name</a> &lt;<a href=\"mailto:$MAILADD\">$MAILADD</a>&gt;";

### system config

# Local timezone
$TZNAME = "JST";
$ENV{'TZ'} = "Asia/Tokyo";

# Kanji code for output and Charset for META tag
##### for EUC-JP
$KANJI_CODE = 'euc';
$CHARSET    = 'EUC-JP';
##### for JIS (ISO-2022)
#$KANJI_CODE = 'jis';
#$CHARSET    = 'ISO-2022-JP';

# if you don't want to use symlink(), uncomment the line below 
# to use copy() instead.
# $USE_COPY = 1;

# if you want to use reverse log file, uncomment the line below.
#$USE_REV = 1;

# if you want to rotate logs when it get enough big,
# uncomment the line below, and set the size.
# $SIZE = 100;   # (KB)

# If $WEBLINT is defined, then bbs.cgi uses weblint in preview.
# $WEBLINT = "/full/path/of/YOUR/jweblint -x Wilbur";

# if $SENDMAIL is defined, Notice Mail will be sent when new message is posted.
# mimew.pl is needed to send the mail.
#$SENDMAIL = "/usr/lib/sendmail";
#$MAILTO = 'you@YOUR.domain';
#$MAILSUBJ = "new message: $TITLE";
#$FULLURL = "http://YOUR.domain/your/page.html";

# set $USE_FORMULA the path of ASCIIMathML.js to show formulas.
#$USE_FORMULA = "/js/ASCIIMathML.js";

# set $NEED_NON_ASCII to deny articles only with ascii chars.
#$NEED_NON_ASCII = "ڥƥȤ";

### Variables for BBS header

$FAVICON	= "favicon.gif";
#$STYLE_FILE	= "$TOPDIR/inubbs.css";
$STYLE		= "  DIV.body { clear: left; margin-left:10; margin-right:10 }\n  BODY { background:#FFFFFF; }\n  A.button { color: #0000FF; text-decoration: underline; font-size: x-small; margin-right: 5px; }\n";
#$LOGO		= 'here's your logo';

# BODY tag of the BBS
$BODY   = 'body';

$POSTMSG  = "[Post Message]";
$READNEW  = "[Recent Message]";
$READREV  = "[Reverse Order]";
$READOLD  = "[Old Messages]";
$READRULE = "[Rules]";
$GOLINKS  = "[Links]";
$GOHOME   = "[Home]";
$GOTOTOP  = "[Top]";
$GOTOLAST = "[Last $TITLE]";

### Other links
### If you want to use, uncomment.
#$LINKS[ 0 ] = "[]";
#$LINKS_URL[ 0 ] = "http://dog.w3m.jp/bbs/spool/log.html";
#$LINKS[ 1 ] = "[Ƥ]";
#$LINKS_URL[ 1 ] = "http://a.hatena.ne.jp/satodai/";

### Initialization

$LOG = "log";   # message file is $LOG.html or $LOGyyyymm.html. 
$REV = "until";   # reverse-ordered message file is $REV.html or $REVyyyymm.html.

$INDEX_HTML    = "index.html";
$OLD_HTML      = 'old.html';
$RULE_HTML     = 'rule.html';
$LINKS_HTML    = 'links.html';

$ADMMSG_HTML   = "message.html";
$HOWTO_HTML    = "howto.html";

$BBS_CGI       = "inubbs.cgi";
$SPOOL         = "spool";

$TMP_HTML      = 'tmp.html';
$TMP_REV_HTML  = 'tmp_rev.html';

$BBS_LOCK      = 'bbslock';
$POST_LOG      = "post_log";


###########################
##  DO NOT EDIT BELLOW ! ##
###########################

### Assembling...

$LOG_FOOT_HTML = "$LOG.foot";
$LOG_HTML      = "$LOG.html";
$LOG_REV_HTML  = "$REV.html";

$BBSCGI_FILE = "$TOPDIR/$BBS_CGI";
$ADMMSG_FILE = "$TOPDIR/$ADMMSG_HTML";
$HOWTO_FILE  = "$TOPDIR/$HOWTO_HTML";

$INDEX_FILE    = "$TOPDIR/$SPOOL/$INDEX_HTML";
$LOG_FILE    = "$TOPDIR/$SPOOL/$LOG_HTML";
$LOG_REV_FILE    = "$TOPDIR/$SPOOL/$LOG_REV_HTML";
$LOG_FOOT_FILE    = "$TOPDIR/$SPOOL/$LOG_FOOT_HTML";
$TMP_FILE    = "$TOPDIR/$SPOOL/$TMP_HTML";
$TMP_REV_FILE    = "$TOPDIR/$SPOOL/$TMP_REV_HTML";
$LOCK_FILE    = "$TOPDIR/$SPOOL/$BBS_LOCK";
$POSTLOG_FILE = "$TOPDIR/$SPOOL/$POST_LOG";
$OLDLOG_FILE = "$TOPDIR/$SPOOL/$OLD_HTML";

$TOP = '<!-- ========================= top ========================= -->';
$END = '<!-- ========================= end ========================= -->';
$BDR = '<!-- ======================================================= -->';

#---------------------------------------------------------------------------
inubbs();
